<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('penanganan_kasus_psikiaters', function (Blueprint $table) {
            $table->increments('id_psikiater');
            $table->date('tanggal');
            $table->integer('id_siswa')->unsigned();
            $table->string('diagnosis_awal', 255);
            $table->string('penanganan', 255);
            $table->string('resep_obat', 255);
            $table->boolean('status');
            $table->foreign('id_siswa')->references('id_siswa')->on('siswas')->onDelete('cascade')->onUpdate('cascade');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('penanganan_kasus_psikiaters');
    }
};
